Skip to navigation

List provider documents

Paginated documents for a provider, newest first. Optional filter: document_type.

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

provider_idstringRequiredformat: "uuid"
Provider UUID

Query parameters

document_typestringOptional
Filter by exact document type
limitintegerOptional1-1000Defaults to 20

Items per page (max 1000)

offsetintegerOptional>=0Defaults to 0
Number of items to skip. Cannot be combined with after.
afterstringOptional

Keyset cursor. Returns records after this id (or error_code for the error catalogue), ordered by that field ascending. Pass pagination.next_cursor from the previous page. Start a cursor walk with after=0. Cannot be combined with a non-zero offset.

Response

List of documents
datalist of objects
paginationobject

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error